-- now, create a world from an .ini file and enable it
--signal we are loading
--Game.SetLoadFlag(0);
--Game.StatusMessage("Loading World...");
--Script.WaitFrame(1);
--
--Game.CreateWorld("Maps\\Farm\\Farm.ini");
Game.LoadObserverPos();

-- wait a bit, then choose the player
--Script.WaitMs(2000);
entPlayer = Entity.FindName(Game.GetWorldEntity(), "Player0");
Game.SetPlayerEntity(0, entPlayer);
Camera.SetCamId(0);
Camera.SetTargetEnt(entPlayer);
Camera.SetMode(CMX_COCKPIT);

--entPlayer = Entity.FindName(Game.GetWorldEntity(), "Player1");
--Game.SetPlayerEntity(1, entPlayer);
--Camera.SetCamId(1);
--Camera.SetTargetEnt(entPlayer);
--Camera.SetMode(CMX_COCKPIT);

Camera.SetCamId(2);
Camera.SetTargetEnt(entPlayer);
Camera.SetMode(CMX_COCKPIT);

Camera.SetCamId(3);
Camera.SetTargetEnt(entPlayer);
Camera.SetMode(CMX_COCKPIT);

Game.EnableWorld();
-- signal world is loaded and ready
Game.SetLoadFlag(1);
